Forum

ASSIST, AMERICA'S ARMY COMMUNITY


Author Topic: Could not load OpenGL library  (Read 136 times)

0 Members and 1 Guest are viewing this topic.

Offline hitman

Could not load OpenGL library
« on: Tuesday, June 13, 2017, 16:20:30 PM »
Update
When trying to run the game itself I get error "Could not load OpenGL library" .. "Exiting due to error" ..

Anyone knows what could be the case?
« Last Edit: Wednesday, June 14, 2017, 07:15:12 AM by hitman »

Offline teddy_grizzly_bear

  • Used to be known as nobody
  • Administrator
  • Epic Poster
  • *
  • Posts: 4,847
  • what are you looking at?
    • View Profile
  • AA: teddy_grizzIy_bear
Re: 25Assist: Syntax error: "(" unexpected
« Reply #1 on: Wednesday, June 14, 2017, 00:56:41 AM »
There's been a number of threads on problems (and a few solutions) with 25Assist under Ubuntu/Linux.

I.e:
http://aao25.com/forum/assist-support/i-can't-install-the-game-or-start-25assist-in-ubuntu-14-04-02/
http://aao25.com/forum/aa-support/cannot-get-aa-running-und-ubuntu-14-04-lts-64-bit/
http://aao25.com/forum/support/linux-assist-2-5-no-acceleration


I would like to point out that in the last thread, I managed to get the game working on Ubuntu. I didn't read the thread thoroughly, but I do remember there being issues of not having the appropriate 32bit libraries for the game (which had to be downloaded manually given the :i386) and I remember I had some other problems as well.

Also, I don't think I've managed to run it without sudo, unfortunately.


"Mathematics may be defined as the subject in which we never know what we are talking about, nor whether what we are saying is true." Bertrand Russell

Offline hitman

Re: 25Assist: Syntax error: "(" unexpected
« Reply #2 on: Wednesday, June 14, 2017, 06:40:58 AM »
Thanks, I managed to run Assist, but now the game just quits after the logo comes up. I installed all the libs I could find!

The command to run assist is
Code: [Select]
sudo ./25Assist
« Last Edit: Wednesday, June 14, 2017, 07:15:53 AM by hitman »

Offline hitman

Re: 25Assist: Syntax error: "(" unexpected
« Reply #3 on: Wednesday, June 14, 2017, 07:13:35 AM »
I am getting error "Could not load OpenGL library" when I run the armyops-bin .. what's the matter?

I installed all the libs and it shows green for OpenGL acceleration in Assist.
« Last Edit: Wednesday, June 14, 2017, 07:34:11 AM by hitman »

Offline teddy_grizzly_bear

  • Used to be known as nobody
  • Administrator
  • Epic Poster
  • *
  • Posts: 4,847
  • what are you looking at?
    • View Profile
  • AA: teddy_grizzIy_bear
Re: Could not load OpenGL library
« Reply #4 on: Wednesday, June 14, 2017, 08:18:18 AM »
I found a 13 year old post about a similar issue:
http://www.tomshardware.co.uk/forum/131907-33-armyops-load-opengl-library

Let me start by saying I'm not a Linux expert.
However, from reading the link above, it sounds like something similar to what I did in the old thread (where you also posted), so making a symbolic link of something (and don't ask me what) might remedy the situation.
Or just reinstalling it as suggested in the link within this post.

Also, you might get more information if you
Code: [Select]
export LD_DEBUG=libs before running armyops. Again, not sure if the output will be of use.


"Mathematics may be defined as the subject in which we never know what we are talking about, nor whether what we are saying is true." Bertrand Russell

Offline hitman

Re: Could not load OpenGL library
« Reply #5 on: Wednesday, June 14, 2017, 18:03:00 PM »
This solved it!

`sudo apt-get install --reinstall libgl1-mesa-glx:i386`

https://askubuntu.com/a/731436

 

Download Assist

×

Download Game Client


Download Server Manager